Name:           ocaml-jsonm
Version:        0.9.1
Release:        %mkrel 9
Summary:        Non-blocking streaming codec to decode and encode JSON
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/jsonm
Source0:        http://erratique.ch/software/jsonm/releases/jsonm-%{version}.tbz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-uutf-devel
Requires:       ocaml-uutf

%description
Jsonm is a non-blocking streaming codec to decode and encode the JSON data
format. It can process JSON text without blocking on IO and without a
complete in-memory representation of the data.

The uncut codec also processes whitespace and (non-standard) JSON with
JavaScript comments.

Jsonm is made of a single module and depends on Uutf.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-uutf-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n jsonm-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

ocaml setup.ml -build 

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/INSTALL_DIR
ocaml setup.ml -install

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/jsonm
%{_libdir}/ocaml/jsonm/META
%{_libdir}/ocaml/jsonm/*.cma
%{_libdir}/ocaml/jsonm/*.cmi
%{_libdir}/ocaml/jsonm/*.cmxs
%{_bindir}/jsontrip
%{_bindir}/ocamltweets

%files devel
%doc doc/
%{_libdir}/ocaml/jsonm/*.a
%{_libdir}/ocaml/jsonm/*.cmxa
%{_libdir}/ocaml/jsonm/*.cmx
%{_libdir}/ocaml/jsonm/*.mli


%changelog
* Mon Feb 08 2016 pterjan <pterjan> 0.9.1-9.mga6
+ Revision: 950903
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-8.mga5
+ Revision: 747140
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-7.mga5
+ Revision: 683053
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.9.1-6.mga4
+ Revision: 538946
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 blue_prawn <blue_prawn> 0.9.1-5.mga4
+ Revision: 491166
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-4.mga3
+ Revision: 361416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.1-3.mga3
+ Revision: 301663
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.1-2.mga3
+ Revision: 299162
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.1-1.mga3
+ Revision: 291364
- updated to last version 0.9.1

* Sun May 06 2012 blue_prawn <blue_prawn> 0.9.0-1.mga3
+ Revision: 234852
- fixed ocaml-uutf dependency
- imported package ocaml-jsonm

